users = {
    'icinga_dashboard': {
        'home': '/opt/simple-icinga-dashboard',
    },
}

directories = {
    '/opt/simple-icinga-dashboard/out': {
        'owner': 'icinga_dashboard',
    },
    '/opt/simple-icinga-dashboard/src': {},
}

git_deploy = {
    '/opt/simple-icinga-dashboard/src': {
        'repo': 'https://git.kunsmann.eu/sophie/simple-icinga-dashboard.git',
        'rev': 'main',
    },
}

files = {
    '/opt/simple-icinga-dashboard/src/config.conf': {
        'content_type': 'mako',
        'context': node.metadata['simple-icinga-dashboard'],
        'needs': {
            'git_deploy:/opt/simple-icinga-dashboard/src',
        },
    },
}

symlinks = {
    '/opt/simple-icinga-dashboard/out/bootstrap.min.css': {
        'target': '/opt/simple-icinga-dashboard/src/bootstrap.min.css',
        'needs': {
            'git_deploy:/opt/simple-icinga-dashboard/src',
        },
    },
}
